Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 926545

Summary: smokeping: Does not support aarch64 in f19 and rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: smokepingAssignee: Terje Røsten <terje.rosten>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cra, terje.rosten
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-05 12:34:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 922257    

Description Dennis Gilmore 2013-03-23 16:20:17 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  smokeping appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/smokeping/smokeping-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Charles R. Anderson 2013-03-24 00:28:50 UTC
Requested upstream to update to autoconf 2.69:

Date: Sat, 23 Mar 2013 20:23:31 -0400          
From: Chuck Anderson cra WPI EDU                          
To: tobi oetiker ch                                           
Cc: terjeros phys ntnu no                                           
Subject: smokeping: please update to autoconf 2.69 for aarch64 (ARM 64-bit) support
                                       
Hi Tobi,

Fedora is being ported to the new ARM 64-bit architecture and this 
requires the newest autoconf 2.69.  Can you please update smokeping 
(and your other software I suppose) to use autoconf 2.69?
                                                                      
Thanks,                                       
Chuck

Comment 2 Terje Røsten 2013-08-05 12:24:57 UTC
Alternative 2) was already in use in the %build section of this package.